Subject: Re: linux-next: build failure after merge of the omap_dss2 tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 26 Nov 2014 09:07:37 +1100

Hi Tomi,

On Tue, 25 Nov 2014 14:11:59 +0200 Tomi Valkeinen <[email-masked]> wrote:
>
> On 25/11/14 13:20, Hans de Goede wrote:
> > 
> > On 11/25/2014 12:00 PM, Tomi Valkeinen wrote:
> >> On 18/11/14 17:07, David Herrmann wrote:
> >>>
> >>> On Tue, Nov 18, 2014 at 3:53 PM, Tomi Valkeinen
> >>> <[email-masked]> wrote:
> >>>>
> >>>> Thanks Stephen!
> >>>>
> >>>> Hans, have you had a look at this? kbuild test bot also reported this.
> >>>
> >>> The fix from Stephen should not go to main-line. It breaks simplefb on
> >>> x86 without OF. Imo, linux/clk.h should provide a fallback if OF is
> >>> not defined (like it already does for of_clk_get() and friends).
> >>>
> >>> Hans, any comments?
> >>
> >> Hans, ping.
> > 
> > Sorry I somehow missed this thread so far, I did see the kbuild mail, but
> > it looked like a false positive to me, for the compile error case I
> > already fixed
> > in the last revision of the patch, adding #ifdef CONFIG_OF around the
> > offending code.
> > 
> > But on closer inspection I see that the entirety of linux/clk-provider.h
> > is wrapped
> > in one huge #ifdef CONFIG_COMMON_CLK and then later on also has:
> > 
> > #ifdef CONFIG_OF
> > ...
> > int of_clk_get_parent_count(struct device_node *np);
> > ...
> > #endif
> > 
> > So we need both CONFIG_OF and CONFIG_COMMON_CLK, the attached patch
> > should fix this.
> 
> Thanks, applied.

But not pushed out, yet?  Just checking that you haven't pushed on
purpose.

-- 
Cheers,
Stephen Rothwell                    [email-masked]